---
title: "Get Search Suggestions"
description: "Use GET /search/suggestions to retrieve search suggestions. The current public operation is Search.suggestions."
canonical: https://docs.ordering.co/api-reference/guides/get-suggestions-for-search/
---

# Get Search Suggestions

> **API operation:** [Open the endpoint in Scalar](https://docs.ordering.co/api-reference/#tag/search/GET/search/suggestions)

Use `GET /search/suggestions` to retrieve search suggestions. The current public operation is `Search.suggestions`.

The controller has no authentication middleware. The required `term` must contain between 3 and 255 characters.

See [Advanced business search model](https://docs.ordering.co/api-reference/guides/advance-business-search-model/).

## OpenAPI reference

**Operation:** `GET /search/suggestions`

**Query parameters**

| Name   | Type   | Required | Description |
| ------ | ------ | -------- | ----------- |
| `term` | string | Yes      | —           |

**Responses**

| Code | Description                               |
| ---- | ----------------------------------------- |
| 200  | OK (Envelope)                             |
| 400  | Bad Request (ErrorResponse)               |
| 401  | Unauthorized (ProjectAccessErrorResponse) |
| 404  | Not Found                                 |
| 429  | Too Many Requests (ErrorResponse)         |
| 500  | Internal Server Error (ErrorResponse)     |
| 503  | Service Unavailable (ErrorResponse)       |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/search/GET/search/suggestions)
